{"openapi":"3.1.0","info":{"title":"NeMo API","version":"1.0"},"servers":[{"url":"https://pts-nemo.procountor.com","description":"Generated server url"}],"security":[{"authorization":[]}],"tags":[{"name":"NPS Response Controller","description":"APIs to handle NPS responses"},{"name":"Health","description":"Health endpoints (auth not required)"},{"name":"Cost receipts","description":"API for cost receipts (kuitit)"},{"name":"Company Feature Flags","description":"Feature flag access by company"},{"name":"Cost center","description":"API for cost centers (mapping to Procountor dimensions)"},{"name":"Proxy","description":"Fallback proxy dispatching all unmatched requests to Procountor"},{"name":"Configuration","description":"Return min version, current version and configuration message"},{"name":"ProcountorAsk","description":"Proxy AI chat requests to ProcountorAsk API"},{"name":"Proxy","description":"Fallback proxy dispatching all requests matching api/invoices/** to Procountor"}],"paths":{"/api/**":{"get":{"tags":["Proxy"],"summary":"Proxy / fallback requests to Procontor API","operationId":"proxyGetRequests","responses":{"?":{"description":"?","content":{"*/*":{"schema":{"type":"string"}}}}}},"put":{"tags":["Proxy"],"operationId":"proxyRequests_1","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}},"post":{"tags":["Proxy"],"operationId":"proxyRequests","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}},"delete":{"tags":["Proxy"],"operationId":"proxyRequests_2","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}},"patch":{"tags":["Proxy"],"operationId":"proxyRequests_3","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}}},"/api/settings/paidfeatures":{"put":{"tags":["Settings"],"summary":"Update paid features for current authorized user","operationId":"updatePaidFeatures","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePaidFeaturesRequest"}}},"required":true},"responses":{"200":{"description":"Paid features updated successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Settings"}}}},"403":{"description":"Paid features are disabled in company settings"},"401":{"description":"Unauthorized / access token missing"}}}},"/api/invoices/**":{"put":{"tags":["Proxy"],"operationId":"proxyPutInvoicesRequests","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}},"post":{"tags":["Proxy"],"operationId":"proxyPostInvoicesRequests","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}},"delete":{"tags":["Proxy"],"operationId":"proxyDeleteInvoicesRequests","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}},"patch":{"tags":["Proxy"],"operationId":"proxyPatchInvoicesRequests","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}}},"/api/invoice/{invoiceId}/verify":{"put":{"tags":["Invoices (write)"],"operationId":"verify","parameters":[{"name":"invoiceId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckingEvent"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InfoMessage"}}}}}}},"/api/invoice/{invoiceId}/unfinished":{"put":{"tags":["Invoices (write)"],"operationId":"setUnfinished","parameters":[{"name":"invoiceId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InfoMessage"}}}}}}},"/api/invoice/{invoiceId}/sendToCirculation":{"put":{"tags":["Invoices (write)"],"operationId":"sendToCirculation","parameters":[{"name":"invoiceId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InfoMessage"}}}}}}},"/api/invoice/{invoiceId}/reject":{"put":{"tags":["Invoices (write)"],"operationId":"reject","parameters":[{"name":"invoiceId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckingEvent"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InfoMessage"}}}}}}},"/api/invoice/{invoiceId}/invalidate":{"put":{"tags":["Invoices (write)"],"operationId":"invalidate","parameters":[{"name":"invoiceId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InfoMessage"}}}}}}},"/api/invoice/{invoiceId}/approve":{"put":{"tags":["Invoices (write)"],"operationId":"approve","parameters":[{"name":"invoiceId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckingEvent"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InfoMessage"}}}}}}},"/api/game/update":{"put":{"tags":["Game"],"description":"Updates game score for the current user by userId and nickname","operationId":"update","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GameData"}}},"required":true},"responses":{"200":{"description":"Game score updated.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GameScore"}}}},"404":{"description":"Game score not found for the current user with userId and given nickname."}}}},"/api/firebase_activity":{"get":{"tags":["firebaseActivity"],"description":"Gets all saved data to the firebaseActivity Cosmos DB for the current user","operationId":"get","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FirebaseActivity"}}}}}}},"put":{"tags":["firebaseActivity"],"summary":"Update user language for a Firebase activity","operationId":"updateLanguage","parameters":[{"name":"token","in":"query","required":true,"schema":{"type":"string"}},{"name":"userLanguage","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FirebaseActivityData"}}}}}},"deprecated":true},"post":{"tags":["firebaseActivity"],"description":"Adds firebaseActivity for the input user","operationId":"smartCreate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FirebaseCreateData"}}},"required":true},"responses":{"201":{"description":"Created","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FirebaseActivity"}}}}}}}},"/api/firebase_activity/updatebydeviceid":{"put":{"tags":["firebaseActivity"],"summary":"Update user language, notifications settings by device id for a Firebase activity","operationId":"updateByDeviceid","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FirebaseUpdateData"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FirebaseActivityData"}}}}}}}},"/api/firebase_activity/notification_settings":{"put":{"tags":["firebaseActivity"],"summary":"Update notification setting for a Firebase activity","operationId":"updateNotificationSetting","parameters":[{"name":"token","in":"query","required":true,"schema":{"type":"string"}},{"name":"notificationInvoiceStatusChange","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"notificationInvoiceCommentAdded","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FirebaseActivityData"}}}}}},"deprecated":true}},"/api/costreceipt/{id}":{"get":{"tags":["Cost receipts"],"summary":"Gets an existing cost receipt by id","operationId":"get_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CostReceipt"}}}}}},"put":{"tags":["Cost receipts"],"summary":"Updates a cost receipt (without attachments). Version timestamp has to be provided and equal to the current version.","operationId":"update_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCostReceipt"}}},"required":true},"responses":{"200":{"description":"Updated successfully, data returned (without attachment).","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateCostReceipt"}}}},"400":{"description":"Validation error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateCostReceipt"}}}},"409":{"description":"Tried to update an outdated version","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateCostReceipt"}}}}}},"delete":{"tags":["Cost receipts"],"summary":"Deletes a cost receipt","operationId":"delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/costcenter/{ledgerReceiptId}":{"get":{"tags":["Cost center"],"summary":"Gets the transaction-level dimensions for a given receipt and calculates the invoice-level cost center percentages","operationId":"getCostCenters","parameters":[{"name":"ledgerReceiptId","in":"path","description":"Ledger receipt id. Can be fetched from invoice object.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Cost centers calculated from transactions' dimensions. Empty, if no dimensions set.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CostCenters"}}}},"404":{"description":"Ledger receipt not found"}}},"put":{"tags":["Cost center"],"summary":"Based on invoice-level cost center percentages, calculates and sets the transaction-level dimension for a given receipt. Use empty to remove dimensions.","operationId":"setCostCenters","parameters":[{"name":"ledgerReceiptId","in":"path","description":"Ledger receipt id. Can be fetched from invoice object.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CostCenters"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CostCenters"}}}},"400":{"description":"Invalid request, e.g. percentages not valid or not summing to 100%."},"404":{"description":"Ledger receipt not found,"}}}},"/api/card/{uuid}":{"put":{"tags":["Cards"],"description":"Updates card data with given uuid","operationId":"update_2","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardData"}}},"required":true},"responses":{"200":{"description":"Card data updated.","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Card"}}}},"404":{"description":"Card not found or not belonging to the current user."}}},"delete":{"tags":["Cards"],"description":"Deletes card data with given uuid","operationId":"delete_1","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Card data deleted."},"404":{"description":"Card not found or not belonging to the current user."}}}},"/stripe/webhook/payment-intent-succeeded":{"post":{"tags":["stripe-webhook-api"],"summary":"Handles Stripe payment intent succeeded webhook","description":"This endpoint is used by Stripe webhook only and cannot be used as a normal endpoint.","operationId":"handleWebhook","parameters":[{"name":"Stripe-Signature","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/zendesk/createTicket":{"post":{"tags":["zendesk-api"],"operationId":"createTicket","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TicketRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/verifyConnectAccount":{"post":{"tags":["Stripe token (write)"],"summary":"Verify Connect Account user or company by sending verification images","operationId":"verifyConnectAccount","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"personIdFrontFile":{"type":"string","format":"binary","description":"The front side of the person's ID to be uploaded."},"personIdBackFile":{"type":"string","format":"binary","description":"The back side of the person's ID to be uploaded."},"companyVerificationFile":{"type":"string","format":"binary","description":"The company verification document to be uploaded."},"verificationData":{"$ref":"#/components/schemas/StripeSendVerificationRequest"}}},"encoding":{"personIdFrontFile":{"contentType":"application/octet-stream"}}}}},"responses":{"200":{"description":"Stripe verification sent successfully","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/user/autocomplete":{"get":{"tags":["Autocomplete"],"summary":"Returns saved autocomplete values by category. Primarily for testing purposes.","operationId":"getAutocompleteEntries","parameters":[{"name":"prefix","in":"query","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"category","in":"query","required":true,"schema":{"type":"string","enum":["PURCHASE_PLACE","EXPENSE_TYPE","SALES_TYPE"]}}],"responses":{"200":{"description":"Most recent purchase places, sorted from the latest","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}}},"post":{"tags":["Autocomplete"],"summary":"Manually adds an autocomplete value. Primarily for testing purposes.","operationId":"addPurchasePlace","parameters":[{"name":"name","in":"query","required":true,"schema":{"type":"string"}},{"name":"category","in":"query","required":true,"schema":{"type":"string","enum":["PURCHASE_PLACE","EXPENSE_TYPE","SALES_TYPE"]}}],"responses":{"204":{"description":"No Content"}}}},"/api/updateConnectAccount":{"post":{"tags":["Stripe token (write)"],"summary":"Update Connect Account","operationId":"updateConnectAccount","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StripeUpdateConnectAccountRequest"}}},"required":true},"responses":{"201":{"description":"Connect account updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StripeUpdateConnectAccountResponse"}}}}}}},"/api/token":{"post":{"tags":["Refresh token"],"summary":"Refresh access_token with valid refresh_token","operationId":"refreshToken","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RefreshTokenRequest"}}},"required":true},"responses":{"201":{"description":"New access_token created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccessToken"}}}},"400":{"description":"Provided refresh_token missing or empty"},"401":{"description":"Provided refresh_token invalid"}}}},"/api/stripeConnectionToken":{"post":{"tags":["Stripe token (write)"],"summary":"Get Stripe Connection Token","operationId":"getStripeToken","responses":{"200":{"description":"Stripe token gotten successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StripeGetTokenResponse"}}}}}}},"/api/refundStripePayment":{"post":{"tags":["Stripe token (write)"],"summary":"Refund Stripe Payment","operationId":"refundStripePayment","parameters":[{"name":"paymentId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Stripe payment refunded successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StripeRefundPaymentResponse"}}}}}}},"/api/ocr":{"post":{"tags":["OCR"],"summary":"Uploads a file for OCR recognition","operationId":"getOcrForFile","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"File processed correctly, OCR results in the response","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OcrResult"}}}},"400":{"description":"Invalid file (e.g. unsupported type)"}}}},"/api/nps-response":{"post":{"tags":["NPS Response Controller"],"summary":"Submit an NPS survey response","description":"Stores NPS survey responses in Application Insights","operationId":"submitNpsResponse","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NpsResponse"}}},"required":true},"responses":{"200":{"description":"Response successfully logged","content":{"*/*":{"schema":{"type":"string"}}}},"400":{"description":"Invalid request payload","content":{"*/*":{"schema":{"type":"string"}}}},"500":{"description":"Internal server error","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/logout":{"post":{"tags":["Logout"],"summary":"Logout for a logged in user. Will delete the token from the db","operationId":"logout","responses":{"200":{"description":"Logged out successfully","content":{"*/*":{"schema":{"type":"string","enum":["100 CONTINUE","101 SWITCHING_PROTOCOLS","102 PROCESSING","103 EARLY_HINTS","103 CHECKPOINT","200 OK","201 CREATED","202 ACCEPTED","203 NON_AUTHORITATIVE_INFORMATION","204 NO_CONTENT","205 RESET_CONTENT","206 PARTIAL_CONTENT","207 MULTI_STATUS","208 ALREADY_REPORTED","226 IM_USED","300 MULTIPLE_CHOICES","301 MOVED_PERMANENTLY","302 FOUND","302 MOVED_TEMPORARILY","303 SEE_OTHER","304 NOT_MODIFIED","305 USE_PROXY","307 TEMPORARY_REDIRECT","308 PERMANENT_REDIRECT","400 BAD_REQUEST","401 UNAUTHORIZED","402 PAYMENT_REQUIRED","403 FORBIDDEN","404 NOT_FOUND","405 METHOD_NOT_ALLOWED","406 NOT_ACCEPTABLE","407 PROXY_AUTHENTICATION_REQUIRED","408 REQUEST_TIMEOUT","409 CONFLICT","410 GONE","411 LENGTH_REQUIRED","412 PRECONDITION_FAILED","413 PAYLOAD_TOO_LARGE","413 REQUEST_ENTITY_TOO_LARGE","414 URI_TOO_LONG","414 REQUEST_URI_TOO_LONG","415 UNSUPPORTED_MEDIA_TYPE","416 REQUESTED_RANGE_NOT_SATISFIABLE","417 EXPECTATION_FAILED","418 I_AM_A_TEAPOT","419 INSUFFICIENT_SPACE_ON_RESOURCE","420 METHOD_FAILURE","421 DESTINATION_LOCKED","422 UNPROCESSABLE_ENTITY","423 LOCKED","424 FAILED_DEPENDENCY","425 TOO_EARLY","426 UPGRADE_REQUIRED","428 PRECONDITION_REQUIRED","429 TOO_MANY_REQUESTS","431 REQUEST_HEADER_FIELDS_TOO_LARGE","451 UNAVAILABLE_FOR_LEGAL_REASONS","500 INTERNAL_SERVER_ERROR","501 NOT_IMPLEMENTED","502 BAD_GATEWAY","503 SERVICE_UNAVAILABLE","504 GATEWAY_TIMEOUT","505 HTTP_VERSION_NOT_SUPPORTED","506 VARIANT_ALSO_NEGOTIATES","507 INSUFFICIENT_STORAGE","508 LOOP_DETECTED","509 BANDWIDTH_LIMIT_EXCEEDED","510 NOT_EXTENDED","511 NETWORK_AUTHENTICATION_REQUIRED"]}}}},"401":{"description":"Logout request unauthorized with given token","content":{"*/*":{"schema":{"type":"string","enum":["100 CONTINUE","101 SWITCHING_PROTOCOLS","102 PROCESSING","103 EARLY_HINTS","103 CHECKPOINT","200 OK","201 CREATED","202 ACCEPTED","203 NON_AUTHORITATIVE_INFORMATION","204 NO_CONTENT","205 RESET_CONTENT","206 PARTIAL_CONTENT","207 MULTI_STATUS","208 ALREADY_REPORTED","226 IM_USED","300 MULTIPLE_CHOICES","301 MOVED_PERMANENTLY","302 FOUND","302 MOVED_TEMPORARILY","303 SEE_OTHER","304 NOT_MODIFIED","305 USE_PROXY","307 TEMPORARY_REDIRECT","308 PERMANENT_REDIRECT","400 BAD_REQUEST","401 UNAUTHORIZED","402 PAYMENT_REQUIRED","403 FORBIDDEN","404 NOT_FOUND","405 METHOD_NOT_ALLOWED","406 NOT_ACCEPTABLE","407 PROXY_AUTHENTICATION_REQUIRED","408 REQUEST_TIMEOUT","409 CONFLICT","410 GONE","411 LENGTH_REQUIRED","412 PRECONDITION_FAILED","413 PAYLOAD_TOO_LARGE","413 REQUEST_ENTITY_TOO_LARGE","414 URI_TOO_LONG","414 REQUEST_URI_TOO_LONG","415 UNSUPPORTED_MEDIA_TYPE","416 REQUESTED_RANGE_NOT_SATISFIABLE","417 EXPECTATION_FAILED","418 I_AM_A_TEAPOT","419 INSUFFICIENT_SPACE_ON_RESOURCE","420 METHOD_FAILURE","421 DESTINATION_LOCKED","422 UNPROCESSABLE_ENTITY","423 LOCKED","424 FAILED_DEPENDENCY","425 TOO_EARLY","426 UPGRADE_REQUIRED","428 PRECONDITION_REQUIRED","429 TOO_MANY_REQUESTS","431 REQUEST_HEADER_FIELDS_TOO_LARGE","451 UNAVAILABLE_FOR_LEGAL_REASONS","500 INTERNAL_SERVER_ERROR","501 NOT_IMPLEMENTED","502 BAD_GATEWAY","503 SERVICE_UNAVAILABLE","504 GATEWAY_TIMEOUT","505 HTTP_VERSION_NOT_SUPPORTED","506 VARIANT_ALSO_NEGOTIATES","507 INSUFFICIENT_STORAGE","508 LOOP_DETECTED","509 BANDWIDTH_LIMIT_EXCEEDED","510 NOT_EXTENDED","511 NETWORK_AUTHENTICATION_REQUIRED"]}}}}}}},"/api/login":{"post":{"tags":["Login"],"summary":"Login a given user to all selected companies","operationId":"login","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginIntoCompaniesRequest"}}},"required":true},"responses":{"200":{"description":"API tokens created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CompaniesLoginResponse"}}}},"400":{"description":"LoginRequest missing username and/or password"},"401":{"description":"Login request unauthorized with given credentials"},"403":{"description":"Unsufficient permissions"}}}},"/api/login/companies":{"post":{"tags":["Login"],"summary":"Get companies for a given user. Requires user credentials for authorization","operationId":"getCompanies","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetCompaniesRequest"}}},"required":true},"responses":{"200":{"description":"User verified successfully. Companies and login page cookie returned.","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BasicCompany"}}}}},"400":{"description":"LoginRequest missing username and/or password"},"401":{"description":"Login request unauthorized with given credentials"},"403":{"description":"Unsufficient permissions"}}}},"/api/invoice/{invoiceId}/row":{"post":{"tags":["Invoices (write)"],"description":"Adds a new row to an existing invoice.","operationId":"addRow","parameters":[{"name":"invoiceId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvoiceRow"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProcountorInvoice"}}}}}}},"/api/invoice/{invoiceId}/rows":{"post":{"tags":["Invoices (write)"],"description":"Adds new rows to an existing invoice.","operationId":"addRows","parameters":[{"name":"invoiceId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceRow"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProcountorInvoice"}}}}}}},"/api/invoice/travel/new":{"post":{"tags":["Invoices (write)"],"summary":"Create new Travel Invoice for authorized user","operationId":"createTravelInvoice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTravelInvoiceRequest"}}},"required":true},"responses":{"201":{"description":"Travel Invoice created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcountorInvoice"}}}},"400":{"description":"Invalid CreateTravelInvoiceRequest"}}}},"/api/invoice/travel":{"post":{"tags":["Invoices (write)"],"summary":"Create new Travel Invoice for authorized user","operationId":"createTravelInvoice_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTravelInvoiceRequest"}}},"required":true},"responses":{"201":{"description":"Travel Invoice created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcountorInvoice"}}}},"400":{"description":"Invalid CreateTravelInvoiceRequest or Authorization missing"}},"deprecated":true}},"/api/invoice/sales":{"get":{"tags":["Invoices (read)"],"summary":"Gets Sales invoices. Depending on user rights will get either own or all Sales invoices.","operationId":"getSalesInvoices","parameters":[{"name":"pageRequest","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ProcountorPageRequest"}},{"name":"businessPartnerId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProcountorSearchResultInvoice"}}}}},"deprecated":true},"post":{"tags":["Invoices (write)"],"description":"Creates a new Sales invoice","operationId":"createSalesInvoice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSalesInvoiceRequest"}}},"required":true},"responses":{"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProcountorInvoice"}}}}}}},"/api/invoice/purchase":{"get":{"tags":["Invoices (read)"],"summary":"Gets purchase invoices. Depending on user rights will get either own or all purchase invoices.","operationId":"getPurchaseInvoices","parameters":[{"name":"pageRequest","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ProcountorPageRequest"}},{"name":"businessPartnerId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProcountorSearchResultInvoice"}}}}},"deprecated":true},"post":{"tags":["Invoices (write)"],"description":"Creates a new purchase invoice (ostolasku)","operationId":"createPurchaseInvoice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePurchaseInvoiceRequest"}}},"required":true},"responses":{"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProcountorInvoice"}}}}}}},"/api/invoice/expense/new":{"post":{"tags":["Invoices (write)"],"summary":"Add new Expense to exising Invoice or create new one","operationId":"addExpenseToInvoice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddExpenseToInvoiceRequest"}}},"required":true},"responses":{"201":{"description":"Expense created/added successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcountorInvoice"}}}},"400":{"description":"Invalid AddExpenseToInvoiceRequest"}}}},"/api/invoice/expense":{"post":{"tags":["Invoices (write)"],"summary":"Add new Expense to exising Invoice or create new one","operationId":"addExpenseToInvoice_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddExpenseToInvoiceRequest"}}},"required":true},"responses":{"201":{"description":"Expense created/added successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcountorInvoice"}}}},"400":{"description":"Invalid AddExpenseToInvoiceRequest or Authorization missing"}},"deprecated":true}},"/api/game/create":{"post":{"tags":["Game"],"description":"Add game score for the current user","operationId":"create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GameData"}}},"required":true},"responses":{"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GameScore"}}}}}}},"/api/firebase_activity/test":{"post":{"tags":["firebaseActivity"],"description":"Send Firebase Notification","operationId":"sendNotification","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationRequest"}}},"required":true},"responses":{"201":{"description":"Created"}}}},"/api/createStripePaymentIntent":{"post":{"tags":["Stripe token (write)"],"summary":"Create Stripe Payment Intent","operationId":"createStripePaymentIntent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StripeCreatePaymentIntentRequest"}}},"required":true},"responses":{"201":{"description":"Stripe payment created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StripeCreatePaymentIntentResponse"}}}}}}},"/api/createConnectAccount":{"post":{"tags":["Stripe token (write)"],"summary":"Create Connect Account","operationId":"createConnectAccount","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StripeCreateConnectAccountRequest"}}},"required":true},"responses":{"201":{"description":"Connect account created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StripeCreateConnectAccountResponse"}}}}}}},"/api/costreceipt":{"get":{"tags":["Cost receipts"],"summary":"Gets all cost receipts","operationId":"find","parameters":[{"name":"pageRequest","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ProcountorPageRequest"}},{"name":"createdStartDate","in":"query","required":false,"schema":{"type":"string"}},{"name":"createdEndDate","in":"query","required":false,"schema":{"type":"string"}},{"name":"searchTerm","in":"query","required":false,"schema":{"type":"string"}},{"name":"paymentMethod","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NemoSearchResultCostReceipt"}}}}}},"post":{"tags":["Cost receipts"],"summary":"Creates a cost receipt","operationId":"create_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCostReceipt"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CostReceipt"}}}}}}},"/api/card":{"get":{"tags":["Cards"],"description":"Gets all saved card data for the current user","operationId":"get_2","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Card"}}}}}}},"post":{"tags":["Cards"],"description":"Adds card data for the current user","operationId":"create_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardData"}}},"required":true},"responses":{"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Card"}}}}}}},"/api/cancelStripePaymentIntent":{"post":{"tags":["Stripe token (write)"],"summary":"Cancel Stripe Payment Intent","operationId":"cancelStripePaymentIntent","parameters":[{"name":"paymentIntentId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Stripe payment cancelled successfully","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/api/attachments":{"post":{"tags":["Attachments"],"operationId":"createAttachment","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary","description":"The file to be uploaded."},"meta":{"$ref":"#/components/schemas/CreateAttachmentRequest"}},"required":["file","meta"]},"encoding":{"file":{"contentType":"application/octet-stream"}}}}},"responses":{"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AttachmentMeta"}}}}}}},"/api/ai/receipt-expense-type":{"post":{"tags":["receipt-categorization-api"],"operationId":"proxyCategorization","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceiptCategorizationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ReceiptCategorizationResponse"}}}}}}},"/api/ai/chat":{"post":{"tags":["ProcountorAsk"],"summary":"Send AI chat request to ProcountorAsk","description":"Sends a user question to the ProcountorAsk AI service and returns the generated answer.","operationId":"proxyChat","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcountorAskRequest"}}},"required":true},"responses":{"200":{"description":"Successful response","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProcountorAskResponse"}}}},"400":{"description":"Invalid request"},"429":{"description":"Too many requests"},"500":{"description":"Internal server error"}}}},"/api/ai/chat/v2":{"post":{"tags":["ProcountorAsk"],"summary":"Send AI chat request to ProcountorAsk (V2 streaming)","description":"Sends a user question to the ProcountorAsk AI service and streams the generated answer via Server-Sent Events (SSE).","operationId":"proxyChatV2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcountorAskRequestV2"}}},"required":true},"responses":{"200":{"description":"Successful streaming response","content":{"text/event-stream":{}}},"400":{"description":"Invalid request"},"403":{"description":"Feature is disabled for your company"},"429":{"description":"Too many requests"},"500":{"description":"Internal server error"}}}},"/api/invoice/{invoiceId}/row/{invoiceRowId}":{"delete":{"tags":["Invoices (write)"],"operationId":"deleteRow","parameters":[{"name":"invoiceId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"invoiceRowId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProcountorInvoice"}}}}}},"patch":{"tags":["Invoices (write)"],"operationId":"modifyRow","parameters":[{"name":"invoiceId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"invoiceRowId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvoiceRow"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProcountorInvoice"}}}}}}},"/health/procountor":{"get":{"tags":["Health"],"summary":"Gets the status of Procountor API used by this instance of Nemo backend","operationId":"getProcountorStatus","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/health":{"get":{"tags":["Health"],"summary":"API to check if service is running healthy","operationId":"health","responses":{"200":{"description":"Service is up and running","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Health"}}}}}}},"/api/users/rights/new":{"get":{"tags":["User rights"],"summary":"Retrieve User Rights for authorized user","operationId":"userRightsNew","responses":{"200":{"description":"User Rights retrieved successfully","content":{"application/json":{"schema":{"type":"string"}}}},"401":{"description":"Unauthorized - missing valid access token"}}}},"/api/users/rights":{"get":{"tags":["User rights"],"summary":"Retrieve User Rights for authorized user","operationId":"userRights","responses":{"200":{"description":"User Rights retrieved successfully","content":{"application/json":{"schema":{"type":"string"}}}},"401":{"description":"Unauthorized - missing valid access token"}},"deprecated":true}},"/api/user/rights":{"get":{"tags":["User"],"summary":"Retrieve User Rights for authorized user","operationId":"userRights_1","responses":{"200":{"description":"User Rights retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRightsResponse"}}}},"401":{"description":"Unauthorized - missing valid access token"}},"deprecated":true}},"/api/user/purchaseplaces":{"get":{"tags":["Autocomplete"],"summary":"Returns purchase places previously entered by the user","operationId":"getRecentPurchasePlaces","parameters":[{"name":"prefix","in":"query","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Most recent purchase places, sorted from the latest","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/api/user":{"get":{"tags":["User"],"summary":"Retrieve User information for authorized user","operationId":"user","responses":{"200":{"description":"User retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}},"401":{"description":"Unauthorized - missing valid access token"}},"deprecated":true}},"/api/settings":{"get":{"tags":["Settings"],"summary":"Retrieve settings for current authorized user","operationId":"get_3","responses":{"200":{"description":"Settings retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Settings"}}}}}}},"/api/products/travel":{"get":{"tags":["Products"],"summary":"Gets travel products grouped by their category (daily allowances, kilometer allowances, etc.)","operationId":"getTravelProducts","parameters":[{"name":"Accept-Language","in":"header","description":"Preferred language for product name localization. ISO 639-1 codes accepted.","schema":{"type":"string","enum":["fi","sv","en"]}},{"name":"recentLimit","in":"query","description":"Max number of previously used items to check.","required":false,"schema":{"type":"integer","format":"int32","default":3,"description":"Max number of previously used items to check."}},{"name":"year","in":"query","description":"Invoice year. Used for filtering products i.e. only products valid in the given year are returned. By default uses current year.","required":false,"schema":{"type":"string","description":"Invoice year. Used for filtering products i.e. only products valid in the given year are returned. By default uses current year."}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TravelProductsResponse"}}}}}}},"/api/products/sales":{"get":{"tags":["Products"],"summary":"Gets all sales products.","operationId":"getSalesProducts","parameters":[{"name":"Accept-Language","in":"header","description":"Preferred language for product name localization. ISO 639-1 codes accepted.","schema":{"type":"string","enum":["fi","sv","en"]}},{"name":"recentLimit","in":"query","description":"Max number of previously used items to check.","required":false,"schema":{"type":"integer","format":"int32","default":3,"description":"Max number of previously used items to check."}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Product"}}}}}}}},"/api/products/expense":{"get":{"tags":["Products"],"summary":"Gets all expense products. First returns recent products, then others sorted alphabetically.","operationId":"getExpenseProducts","parameters":[{"name":"Accept-Language","in":"header","description":"Preferred language for product name localization. ISO 639-1 codes accepted.","schema":{"type":"string","enum":["fi","sv","en"]}},{"name":"recentLimit","in":"query","description":"Max number of previously used items to check.","required":false,"schema":{"type":"integer","format":"int32","default":3,"description":"Max number of previously used items to check."}},{"name":"year","in":"query","description":"Invoice year. Used for filtering products i.e. only products valid in the given year are returned. By default uses current year.","required":false,"schema":{"type":"string","description":"Invoice year. Used for filtering products i.e. only products valid in the given year are returned. By default uses current year."}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Product"}}}}}}}},"/api/ocr/mimetypes":{"get":{"tags":["OCR"],"summary":"Gets MIME types supported by the OCR API","operationId":"getSupportedMimeTypes","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","enum":["image/jpeg","image/png","application/pdf"]}}}}}}}},"/api/isInvoicePaymentConfirmed":{"get":{"tags":["Stripe token (write)"],"summary":"Check if Invoice Payment is confirmed in Stripe","operationId":"isInvoicePaymentConfirmed","parameters":[{"name":"invoiceId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Stripe invoice payment confirmation status retrieved successfully","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/api/invoice":{"get":{"tags":["Invoices (read)"],"summary":"Gets all invoices of types supported by Nemo (purchase, travel and expense), that the current user has access to.","operationId":"getInvoices","parameters":[{"name":"pageRequest","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ProcountorPageRequest"}},{"name":"createdStartDate","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"createdEndDate","in":"query","required":false,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProcountorSearchResultInvoice"}}}}}}},"/api/invoice/{ids}":{"get":{"tags":["Invoices (read)"],"summary":"Gets invoices by ids. Accepts multiple id-s (comma separated)","operationId":"getInvoice","parameters":[{"name":"ids","in":"path","required":true,"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Invoice"}}}}}}}},"/api/invoice/travel/own":{"get":{"tags":["Invoices (read)"],"summary":"Gets user's own travel invoices","operationId":"getOwnTravelInvoices","parameters":[{"name":"pageRequest","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ProcountorPageRequest"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProcountorSearchResultInvoice"}}}},"404":{"description":"No person register entry for current user"}}}},"/api/invoice/search/action":{"get":{"tags":["Invoices (read)"],"summary":"Gets invoices by search criteria. Accepts multiple types and/or actions (comma separated), NEW API for invoice filtering","operationId":"getInvoicesBySearchCriteriaWithActions","parameters":[{"name":"types","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["BILL_OF_CHARGES","TRAVEL_INVOICE","PURCHASE_INVOICE","SALES_INVOICE","PERIODIC_TAX_RETURN","SALES_ORDER","PURCHASE_ORDER"]},"uniqueItems":true}},{"name":"actions","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["DRAFT","SEND","VERIFY","APPROVE","PAY","SET_FOR_PAYMENT","PAID","PAYMENT_DECLINED","SENT","APPROVED"]},"uniqueItems":true}},{"name":"createdStartDate","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"createdEndDate","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"startDate","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"endDate","in":"query","required":false,"schema":{"type":"string","format":"date-time"}},{"name":"searchTerm","in":"query","required":false,"schema":{"type":"string"}},{"name":"counterPartyName","in":"query","required":false,"schema":{"type":"string"}},{"name":"previousId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"ownInvoices","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NemoSearchResultInvoiceBasicInfo"}}}}}}},"/api/invoice/own/search":{"get":{"tags":["Invoices (read)"],"summary":"Gets own invoices by search criteria. Accepts multiple types and/or statuses (comma separated)","operationId":"getOwnInvoicesBySearchCriteria","parameters":[{"name":"statuses","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["EMPTY","UNFINISHED","NOT_SENT","SENT","RECEIVED","PAID","PAYMENT_DENIED","VERIFIED","APPROVED","INVALIDATED","PAYMENT_QUEUED","PARTLY_PAID","PAYMENT_SENT_TO_BANK","MARKED_PAID","STARTED","INVOICED","OVERRIDDEN","DELETED","UNSAVED","PAYMENT_TRANSACTION_REMOVED"]},"uniqueItems":true}},{"name":"types","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["BILL_OF_CHARGES","TRAVEL_INVOICE","PURCHASE_INVOICE","SALES_INVOICE","PERIODIC_TAX_RETURN","SALES_ORDER","PURCHASE_ORDER"]},"uniqueItems":true}},{"name":"pageRequest","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ProcountorPageRequest"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProcountorSearchResultInvoice"}}}}},"deprecated":true}},"/api/invoice/expense/own":{"get":{"tags":["Invoices (read)"],"summary":"Gets user's own expense invoices","operationId":"getOwnExpenseInvoices","parameters":[{"name":"pageRequest","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ProcountorPageRequest"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProcountorSearchResultInvoice"}}}},"404":{"description":"No person register entry for current user"}}}},"/api/invoice/expense/active":{"get":{"tags":["Active Expense Invoices"],"summary":"Get currently active Expense Invoice","operationId":"activeExpenseInvoice","responses":{"200":{"description":"Found Active Expense Invoice (latest/newest)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcountorInvoice"}}}},"404":{"description":"Active Expense Invoice Not Found"}}}},"/api/invoice/approvable":{"get":{"tags":["Invoices (read)"],"summary":"Gets all invoices, where the current user is in the approval circulation","operationId":"getApprovableInvoices","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Invoice"}}}}}}}},"/api/invoice/activities":{"get":{"tags":["Invoices (read)"],"summary":"Gets all activities related to invoices and enriches the result with invoice data.","operationId":"getInvoiceActivities","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceActivity"}}}}}}}},"/api/getStripeLocationId":{"get":{"tags":["Stripe token (write)"],"summary":"Get Stripe Location Id from Cosmos DB","operationId":"getStripeLocationIdByCompanyId","responses":{"200":{"description":"Stripe location Id gotten successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StripeGetLocationIdResponse"}}}}}}},"/api/getStripeConnectAccountRequirements":{"get":{"tags":["Stripe token (write)"],"summary":"Get Stripe Connect current requirements","operationId":"getStripeConnectAccountRequirements","responses":{"200":{"description":"Stripe connect account current requirements gotten successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StripeGetConnectAccountRequirementsResponse"}}}}}}},"/api/getStripeConnectAccountData":{"get":{"tags":["Stripe token (write)"],"summary":"Get Stripe Connect AccountData","operationId":"getStripeConnectAccountData","responses":{"200":{"description":"Stripe connect account data gotten successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StripeGetConnectAccountDataResponse"}}}}}}},"/api/game":{"get":{"tags":["Game"],"description":"Gets all saved game scores for the current user","operationId":"get_4","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GameScore"}}}}}}},"delete":{"tags":["Game"],"description":"Deletes game score for the current user","operationId":"delete_2","responses":{"204":{"description":"Game score deleted."},"404":{"description":"Game score not found for the current user."}}}},"/api/game/top":{"get":{"tags":["Game"],"description":"Gets top game scores across all users","operationId":"getTopScores","parameters":[{"name":"limit","in":"query","description":"Number of top scores to retrieve","required":true,"schema":{"type":"integer","format":"int32"},"example":5}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GameScore"}}}}}}}},"/api/configuration":{"get":{"tags":["Configuration"],"operationId":"configuration","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationResponse"}}}}}}},"/api/companyfeatureflags/status":{"get":{"tags":["Company Feature Flags"],"summary":"Check if a feature is enabled for a company","description":"Returns true if the given feature is enabled for the specified company","operationId":"isFeatureEnabled","parameters":[{"name":"featureCode","in":"query","required":true,"schema":{"type":"string"}},{"name":"companyId","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Feature flag status returned","content":{"*/*":{"schema":{"type":"boolean"}}}},"400":{"description":"Invalid parameters","content":{"*/*":{"schema":{"type":"boolean"}}}},"500":{"description":"Server error","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/company":{"get":{"tags":["Company"],"summary":"Get Company information","operationId":"company","responses":{"200":{"description":"Company information","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyResponse"}}}}}}},"/api/businesspartners":{"get":{"tags":["business-partner-api"],"operationId":"getPartners","parameters":[{"name":"type","in":"query","required":true,"schema":{"type":"string","enum":["SUPPLIER","CUSTOMER","PERSON"]}},{"name":"namePrefix","in":"query","required":false,"schema":{"type":"string"}},{"name":"pageRequest","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ProcountorPageRequest"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProcountorSearchResultBusinessPartner"}}}}}}},"/api/attachments/{id}/meta":{"get":{"tags":["Attachments"],"summary":"Gets the attachment metadata","operationId":"getAttachmentMeta","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachmentMeta"}}}}}}},"/api/attachments/{id}/content":{"get":{"tags":["Attachments"],"summary":"Gets the attachment content (binary file)","operationId":"getAttachmentContent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DataBuffer"}}}}}}}},"/api/attachments/{id}":{"get":{"tags":["Attachments"],"summary":"Gets an attachment with a given id as a multipart message.","operationId":"getAttachment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"multipart/mixed":{"schema":{"$ref":"#/components/schemas/MultiValueMapStringHttpEntityObject"}}}}}},"delete":{"tags":["Attachments"],"summary":"Deletes an attachment","operationId":"deleteAttachment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/apix/eInvoiceAddress":{"get":{"tags":["apix-api"],"summary":"Gets the E-Invoice details of the company.","description":"This endpoint retrieves the E-Invoice details of the company based on the provided businessId and companyName.","operationId":"getEInvoiceDetails","parameters":[{"name":"businessId","in":"query","description":"The business ID of the company","required":true,"schema":{"type":"string"}},{"name":"companyName","in":"query","description":"The name of the company","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/firebase_activity/{uuid}":{"delete":{"tags":["firebaseActivity"],"description":"Deletes firebaseActivity with given uuid","operationId":"delete_3","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"FirebaseActivity data deleted."},"404":{"description":"firebaseActivity not found or not belonging to the current user."}}}},"/api/firebase_activity/{userId}/token":{"delete":{"tags":["firebaseActivity"],"description":"Deletes firebaseActivity by userId and firebase token","operationId":"deleteByToken","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"firebaseToken","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"FirebaseActivity data deleted."},"404":{"description":"firebaseActivity not found or not belonging to the current user."}}}},"/api/deleteStripeData":{"delete":{"tags":["Stripe token (write)"],"summary":"Delete Stripe data","operationId":"deleteConnectAccount","responses":{"200":{"description":"Stripe data deleted successfully","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/deleteCompanyPerson":{"delete":{"tags":["Stripe token (write)"],"summary":"Delete Company person","operationId":"deleteCompanyPerson","parameters":[{"name":"personId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Person deleted successfully","content":{"*/*":{"schema":{"type":"boolean"}}}}}}}},"components":{"schemas":{"UpdatePaidFeaturesRequest":{"type":"object","properties":{"paidFeatures":{"type":"string","enum":["ENABLED","DISABLED","NOT_ALLOWED"]}},"required":["paidFeatures"]},"Settings":{"type":"object","properties":{"paidFeatures":{"type":"string","enum":["ENABLED","DISABLED","NOT_ALLOWED"]},"availableCurrencies":{"type":"array","items":{"type":"string"}}}},"CheckingEvent":{"type":"object","properties":{"comment":{"type":"string"}}},"InfoMessage":{"type":"object","properties":{"message":{"type":"string"}}},"GameData":{"type":"object","properties":{"nickname":{"type":"string","minLength":1},"score":{"type":"integer","format":"int32","minimum":0}},"required":["nickname"]},"GameScore":{"type":"object","properties":{"id":{"type":"string"},"userId":{"type":"integer","format":"int64"},"nickname":{"type":"string"},"score":{"type":"integer","format":"int32"},"timestamp":{"type":"string","format":"date-time"}}},"FirebaseActivityData":{"type":"object","properties":{"userId":{"type":"integer","format":"int64"},"companyId":{"type":"integer","format":"int32"},"firebaseTokenData":{"type":"array","items":{"$ref":"#/components/schemas/FirebaseTokenData"}},"companyCountry":{"type":"string"}},"required":["companyCountry","companyId","firebaseTokenData","userId"]},"FirebaseTokenData":{"type":"object","properties":{"token":{"type":"string"},"deviceId":{"type":"string"},"userLanguage":{"type":"string"},"expirationDate":{"type":"string","format":"date"},"notificationInvoiceStatusChange":{"type":"boolean"},"notificationInvoiceCommentAdded":{"type":"boolean"}},"required":["deviceId","expirationDate","token","userLanguage"]},"FirebaseUpdateData":{"type":"object","properties":{"deviceId":{"type":"string","minLength":1},"userLanguage":{"type":"string"},"notificationInvoiceStatusChange":{"type":"boolean"},"notificationInvoiceCommentAdded":{"type":"boolean"}},"required":["deviceId"]},"CostReceiptRow":{"type":"object","properties":{"productId":{"type":"integer","format":"int32"},"price":{"type":"number"},"vatPercent":{"type":"number"}}},"UpdateCostReceipt":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"title":{"type":"string"},"description":{"type":"string"},"paymentMethod":{"type":"string"},"currency":{"type":"string"},"currencyRate":{"type":"number"},"receiptDate":{"type":"string","format":"date"},"version":{"type":"string","format":"date-time"},"rows":{"type":"array","items":{"$ref":"#/components/schemas/CostReceiptRow"}}},"required":["version"]},"CostCenters":{"type":"object","description":"Invoice-level representation of dimensions (cost-centers).","properties":{"dimensionValues":{"type":"array","items":{"$ref":"#/components/schemas/DimensionValue"}}}},"DimensionValue":{"type":"object","properties":{"dimensionId":{"type":"integer","format":"int32"},"items":{"type":"array","items":{"$ref":"#/components/schemas/ItemValue"}}}},"ItemValue":{"type":"object","properties":{"itemId":{"type":"integer","format":"int32"},"percentage":{"type":"number","maximum":100,"minimum":0}}},"CardData":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string","enum":["credit","debit"]},"owner":{"type":"string","enum":["company","personal"]},"lastFourDigits":{"type":"string","pattern":"^\\d*$"}},"required":["lastFourDigits","owner","type"]},"Card":{"type":"object","properties":{"uuid":{"type":"string"},"data":{"$ref":"#/components/schemas/CardData"}}},"Comment":{"type":"object","properties":{"body":{"type":"string"}}},"Requester":{"type":"object","properties":{"name":{"type":"string"},"email":{"type":"string"}}},"Ticket":{"type":"object","properties":{"comment":{"$ref":"#/components/schemas/Comment"},"subject":{"type":"string"},"requester":{"$ref":"#/components/schemas/Requester"},"tags":{"type":"array","items":{"type":"string"}}}},"TicketRequest":{"type":"object","properties":{"ticket":{"$ref":"#/components/schemas/Ticket"}}},"StripeSendVerificationRequest":{"type":"object","description":"Extra data for sending verification to Stripe when verifying a person (Maybe company in the future if some info needed). Possible fields are:\n    - `personStripeID`: Stripe ID of the person to be verified (if verifying a person)\n    - `sso`: Social security number of the person to be verified (if verifying a person)\n","properties":{"sso":{"type":"string"},"personStripeID":{"type":"string"}}},"Address":{"type":"object","properties":{"city":{"type":"string"},"country":{"type":"string"},"line1":{"type":"string"},"line2":{"type":"string"},"postalCode":{"type":"string"},"state":{"type":"string"},"rawJsonObject":{"$ref":"#/components/schemas/JsonObject"},"lastResponse":{"$ref":"#/components/schemas/StripeResponse"}}},"Builder":{"type":"object","properties":{"accountHolderName":{"$ref":"#/components/schemas/Builder","writeOnly":true},"accountHolderType":{"$ref":"#/components/schemas/Builder","writeOnly":true},"accountNumber":{"$ref":"#/components/schemas/Builder","writeOnly":true},"accountType":{"$ref":"#/components/schemas/Builder","writeOnly":true},"country":{"$ref":"#/components/schemas/Builder","writeOnly":true},"currency":{"$ref":"#/components/schemas/Builder","writeOnly":true},"paymentMethod":{"$ref":"#/components/schemas/Builder","writeOnly":true},"routingNumber":{"$ref":"#/components/schemas/Builder","writeOnly":true}}},"Dob":{"type":"object","properties":{"day":{"type":"integer","format":"int64"},"month":{"type":"integer","format":"int64"},"year":{"type":"integer","format":"int64"},"rawJsonObject":{"$ref":"#/components/schemas/JsonObject"},"lastResponse":{"$ref":"#/components/schemas/StripeResponse"}}},"JsonArray":{"type":"object","properties":{"asString":{"type":"string"},"empty":{"type":"boolean"},"asInt":{"type":"integer","format":"int32"},"asDouble":{"type":"number","format":"double"},"asLong":{"type":"integer","format":"int64"},"asBoolean":{"type":"boolean"},"asNumber":{"type":"number"},"asFloat":{"type":"number","format":"float"},"asByte":{"type":"string","format":"byte"},"asCharacter":{"type":"string","deprecated":true},"asBigDecimal":{"type":"number"},"asBigInteger":{"type":"integer"},"asShort":{"type":"integer","format":"int32"},"asJsonObject":{},"jsonObject":{"type":"boolean"},"jsonArray":{"type":"boolean"},"jsonPrimitive":{"type":"boolean"},"jsonNull":{"type":"boolean"},"asJsonArray":{},"asJsonPrimitive":{"$ref":"#/components/schemas/JsonPrimitive"},"asJsonNull":{"$ref":"#/components/schemas/JsonNull"}}},"JsonNull":{"type":"object","properties":{"asString":{"type":"string"},"asInt":{"type":"integer","format":"int32"},"asDouble":{"type":"number","format":"double"},"asLong":{"type":"integer","format":"int64"},"asBoolean":{"type":"boolean"},"asJsonObject":{},"jsonObject":{"type":"boolean"},"jsonArray":{"type":"boolean"},"jsonPrimitive":{"type":"boolean"},"jsonNull":{"type":"boolean"},"asJsonArray":{},"asJsonPrimitive":{},"asJsonNull":{},"asNumber":{"type":"number"},"asFloat":{"type":"number","format":"float"},"asByte":{"type":"string","format":"byte"},"asCharacter":{"type":"string","deprecated":true},"asBigDecimal":{"type":"number"},"asBigInteger":{"type":"integer"},"asShort":{"type":"integer","format":"int32"}}},"JsonObject":{"type":"object","properties":{"empty":{"type":"boolean"},"asString":{"type":"string"},"asInt":{"type":"integer","format":"int32"},"asDouble":{"type":"number","format":"double"},"asLong":{"type":"integer","format":"int64"},"asBoolean":{"type":"boolean"},"asJsonObject":{"$ref":"#/components/schemas/JsonObject"},"jsonObject":{"type":"boolean"},"jsonArray":{"type":"boolean"},"jsonPrimitive":{"type":"boolean"},"jsonNull":{"type":"boolean"},"asJsonArray":{"$ref":"#/components/schemas/JsonArray"},"asJsonPrimitive":{"$ref":"#/components/schemas/JsonPrimitive"},"asJsonNull":{"$ref":"#/components/schemas/JsonNull"},"asNumber":{"type":"number"},"asFloat":{"type":"number","format":"float"},"asByte":{"type":"string","format":"byte"},"asCharacter":{"type":"string","deprecated":true},"asBigDecimal":{"type":"number"},"asBigInteger":{"type":"integer"},"asShort":{"type":"integer","format":"int32"}}},"JsonPrimitive":{"type":"object","properties":{"number":{"type":"boolean"},"boolean":{"type":"boolean"},"asString":{"type":"string"},"string":{"type":"boolean"},"asInt":{"type":"integer","format":"int32"},"asDouble":{"type":"number","format":"double"},"asLong":{"type":"integer","format":"int64"},"asBoolean":{"type":"boolean"},"asNumber":{"type":"number"},"asFloat":{"type":"number","format":"float"},"asByte":{"type":"string","format":"byte"},"asCharacter":{"type":"string","deprecated":true},"asBigDecimal":{"type":"number"},"asBigInteger":{"type":"integer"},"asShort":{"type":"integer","format":"int32"},"asJsonObject":{},"jsonObject":{"type":"boolean"},"jsonArray":{"type":"boolean"},"jsonPrimitive":{"type":"boolean"},"jsonNull":{"type":"boolean"},"asJsonArray":{},"asJsonPrimitive":{},"asJsonNull":{"$ref":"#/components/schemas/JsonNull"}}},"Relationship":{"type":"object","properties":{"authorizer":{"type":"boolean"},"director":{"type":"boolean"},"executive":{"type":"boolean"},"legalGuardian":{"type":"boolean"},"owner":{"type":"boolean"},"percentOwnership":{"type":"number"},"representative":{"type":"boolean"},"title":{"type":"string"},"rawJsonObject":{"$ref":"#/components/schemas/JsonObject"},"lastResponse":{"$ref":"#/components/schemas/StripeResponse"}}},"StripePerson":{"type":"object","properties":{"id":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"phone":{"type":"string"},"address":{"$ref":"#/components/schemas/Address"},"dob":{"$ref":"#/components/schemas/Dob"},"relationship":{"$ref":"#/components/schemas/Relationship"}}},"StripeResponse":{},"StripeUpdateConnectAccountRequest":{"type":"object","properties":{"companyLegalName":{"type":"string"},"businessName":{"type":"string"},"companyAddress":{"$ref":"#/components/schemas/Address"},"companyPhoneNumber":{"type":"string"},"mcc":{"type":"string"},"url":{"type":"string"},"productDescription":{"type":"string"},"externalAccount":{"$ref":"#/components/schemas/Builder"},"individualPerson":{"$ref":"#/components/schemas/StripePerson"},"companyPersons":{"type":"array","items":{"$ref":"#/components/schemas/StripePerson"}}}},"StripeUpdateConnectAccountResponse":{"type":"object","properties":{"connectAccountId":{"type":"string"}}},"AccessToken":{"type":"object","properties":{"access_token":{"type":"string"},"expires_in":{"type":"integer","format":"int32"}}},"RefreshTokenRequest":{"type":"object","properties":{"refresh_token":{"type":"string","minLength":1}},"required":["refresh_token"]},"StripeGetTokenResponse":{"type":"object","properties":{"secret":{"type":"string"}}},"StripeRefundPaymentResponse":{"type":"object","properties":{"refundId":{"type":"string"},"failureReason":{"type":"string"}}},"OcrResult":{"type":"object","properties":{"businessName":{"type":"string"},"receiptDate":{"type":"string","format":"date"},"payMethod":{"type":"string","enum":["credit","debit","cash"]},"priceRows":{"type":"array","items":{"$ref":"#/components/schemas/PriceRow"}},"cardNumber":{"type":"string"}}},"PriceRow":{"type":"object","properties":{"vatIncludedPrice":{"type":"number"},"taxrate":{"type":"number"}}},"NpsResponse":{"type":"object","properties":{"npsScore":{"type":"integer","format":"int32","maximum":10,"minimum":0},"feedback":{"type":"string"}}},"LoginIntoCompaniesRequest":{"type":"object","properties":{"username":{"type":"string","minLength":1},"password":{"type":"string","minLength":1},"companyIds":{"type":"array","items":{"type":"integer","format":"int32"},"minItems":1}},"required":["companyIds","password","username"]},"ApiTokens":{"type":"object","properties":{"access_token":{"type":"string"},"refresh_token":{"type":"string"},"token_type":{"type":"string"},"expires_in":{"type":"integer","format":"int32"}}},"CompaniesLoginResponse":{"type":"object","properties":{"companyTokens":{"type":"array","items":{"$ref":"#/components/schemas/CompanyTokens"}},"user":{"$ref":"#/components/schemas/User"}}},"CompanyTokens":{"type":"object","properties":{"companyId":{"type":"integer","format":"int32"},"apiTokens":{"$ref":"#/components/schemas/ApiTokens"}}},"User":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"partnerId":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"street":{"type":"string"},"zip":{"type":"string"},"city":{"type":"string"},"countryCode":{"type":"string"},"email":{"type":"string"},"mobilePhone":{"type":"string"},"username":{"type":"string"}}},"GetCompaniesRequest":{"type":"object","properties":{"username":{"type":"string","minLength":1},"password":{"type":"string","minLength":1}},"required":["password","username"]},"BasicCompany":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string"}}},"InvoiceRow":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"productId":{"type":"integer","format":"int32"},"productCode":{"type":"string"},"product":{"type":"string"},"quantity":{"type":"number"},"unit":{"type":"string"},"unitPrice":{"type":"number"},"discountPercent":{"type":"number"},"vatPercent":{"type":"number"},"comment":{"type":"string"}}},"BankAccount":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"accountNumber":{"type":"string"},"iban":{"type":"string"},"bic":{"type":"string"},"bankName":{"type":"string"},"currency":{"type":"string"},"defaultForInvoice":{"type":"boolean"},"defaultForPayment":{"type":"boolean"},"status":{"type":"string"},"orderNo":{"type":"integer","format":"int32"},"version":{"type":"string"},"associatedAccounts":{"type":"array","items":{"$ref":"#/components/schemas/BankAccountAlias"}}}},"CashDiscount":{"type":"object","properties":{"description":{"type":"string"},"optionList":{"type":"array","items":{"$ref":"#/components/schemas/CashDiscountOption"}},"cashDiscountsTermType":{"type":"string"}}},"CashDiscountOption":{"type":"object","properties":{"numberOfDays":{"type":"integer","format":"int32"},"discountPercentage":{"type":"number"}}},"CounterParty":{"type":"object","properties":{"counterPartyAddress":{"$ref":"#/components/schemas/CounterPartyAddress"},"email":{"type":["string","null"]},"einvoiceAddress":{"$ref":"#/components/schemas/EInvoiceAddress"},"identifier":{"type":["string","null"]},"taxCode":{"type":["string","null"]}}},"CounterPartyAddress":{"type":"object","properties":{"name":{"type":"string"},"street":{"type":"string"},"zip":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"}}},"EInvoiceAddress":{"type":"object","properties":{"operator":{"type":"string"},"operatorId":{"type":"integer","format":"int32"},"sendingAddress":{"type":"string"},"receivingAddress":{"type":"string"},"receivingAddressPublicInTieke":{"type":"boolean"},"edi":{"type":"string"},"invoicerAnnouncementUpdated":{"type":"string"},"created":{"type":"string"},"creator":{"type":"string"},"wsCustomerNumber":{"type":"string"}}},"ExtraInfo":{"type":"object","properties":{"accountingByRow":{"type":"boolean"},"unitPricesIncludeVat":{"type":"boolean"}}},"InvoiceApprovalInformation":{"type":"object","properties":{"acceptors":{"type":"array","items":{"$ref":"#/components/schemas/ProcountorInvoiceChecker"}},"verifiers":{"type":"array","items":{"$ref":"#/components/schemas/ProcountorInvoiceChecker"}}}},"InvoiceSumInfo":{"type":"object","properties":{"currency":{"type":"string"},"inAccountingCurrency":{"type":"boolean"},"excludingVatTotal":{"type":"number"},"vatSumTotal":{"type":"number"},"invoiceSumTotal":{"type":"number"}}},"PaymentInfo":{"type":"object","properties":{"paymentMethod":{"type":"string"},"currency":{"type":"string"},"dueDate":{"type":"string","format":"date"},"currencyRate":{"type":"number"},"bankAccount":{"$ref":"#/components/schemas/BankAccount"},"bankReferenceCode":{"type":"string"},"clearingCode":{"type":"string"},"cashDiscount":{"$ref":"#/components/schemas/CashDiscount"}}},"ProcountorInvoice":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"type":{"type":"string","enum":["BILL_OF_CHARGES","TRAVEL_INVOICE","PURCHASE_INVOICE","SALES_INVOICE","PERIODIC_TAX_RETURN","SALES_ORDER","PURCHASE_ORDER"]},"date":{"type":"string","format":"date"},"status":{"type":"string","enum":["EMPTY","UNFINISHED","NOT_SENT","SENT","RECEIVED","PAID","PAYMENT_DENIED","VERIFIED","APPROVED","INVALIDATED","PAYMENT_QUEUED","PARTLY_PAID","PAYMENT_SENT_TO_BANK","MARKED_PAID","STARTED","INVOICED","OVERRIDDEN","DELETED","UNSAVED","PAYMENT_TRANSACTION_REMOVED"]},"actions":{"type":"string","enum":["DRAFT","SEND","VERIFY","APPROVE","PAY","SET_FOR_PAYMENT","PAID","PAYMENT_DECLINED","SENT","APPROVED"]},"partnerId":{"type":"integer","format":"int32"},"counterParty":{"$ref":"#/components/schemas/CounterParty"},"paymentInfo":{"$ref":"#/components/schemas/PaymentInfo"},"extraInfo":{"$ref":"#/components/schemas/ExtraInfo"},"travelInformationItems":{"type":"array","items":{"$ref":"#/components/schemas/TravelInformation"}},"invoiceRows":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceRow"}},"invoiceChannel":{"type":"string","enum":["EMAIL","MAIL","ELECTRONIC_INVOICE","EDIFACT","PAPER_INVOICE","NO_SENDING"]},"discountPercent":{"type":"number"},"stillToBePaid":{"type":"number"},"totalPaidAmount":{"type":"number"},"invoiceNumber":{"type":"integer","format":"int32"},"invoiceSumInfo":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceSumInfo"}},"invoiceApprovalInformation":{"$ref":"#/components/schemas/InvoiceApprovalInformation"},"additionalInformation":{"type":"string"},"originalInvoiceNumber":{"type":"string"},"vatCountry":{"type":"string"},"dueDate":{"$ref":"#/components/schemas/ProcountorInvoice","writeOnly":true},"otherFields":{"type":"object","additionalProperties":{}}}},"ProcountorInvoiceChecker":{"type":"object","properties":{"userId":{"type":"integer","format":"int32"},"eventPerformed":{"type":"string","format":"date"}}},"TravelInformation":{"type":"object","properties":{"departure":{"type":"string"},"arrival":{"type":"string"},"places":{"type":"string"},"purpose":{"type":"string"}}},"CreateTravelInvoiceRequest":{"type":"object","properties":{"travel":{"$ref":"#/components/schemas/Travel"},"rows":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceRow"},"minItems":1},"sendToCirculation":{"type":"boolean","default":true,"description":"Whether to send the invoice to circulation automatically (= set to RECEIVED state)"},"extraInfo":{"$ref":"#/components/schemas/ExtraInfo"}},"required":["rows","travel"]},"Travel":{"type":"object","properties":{"startTime":{"type":"string","format":"date-time"},"endTime":{"type":"string","format":"date-time"},"purpose":{"type":"string"},"places":{"type":"string"},"details":{"type":"string","maxLength":1000,"minLength":0}},"required":["endTime","places","purpose","startTime"]},"CreateSalesInvoiceRequest":{"type":"object","properties":{"date":{"type":"string","format":"date"},"paymentInfo":{"$ref":"#/components/schemas/PaymentInfo"},"counterParty":{"$ref":"#/components/schemas/CounterParty"},"invoiceRows":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceRow"},"minItems":1},"language":{"type":"string","enum":["ENGLISH","FINNISH","SWEDISH","ESTONIAN","NORWEGIAN","DANISH"]},"invoiceChannel":{"type":"string","enum":["EMAIL","MAIL","ELECTRONIC_INVOICE","EDIFACT","PAPER_INVOICE","NO_SENDING"]},"deliveryAddress":{"$ref":"#/components/schemas/CounterPartyAddress"},"billingAddress":{"$ref":"#/components/schemas/CounterPartyAddress"},"businessPartnerId":{"type":"integer","format":"int32"},"additionalInformation":{"type":"string","maxLength":10000,"minLength":0},"notes":{"type":"string","maxLength":10000,"minLength":0},"extraInfo":{"$ref":"#/components/schemas/ExtraInfo"},"orderReference":{"type":"string","maxLength":70,"minLength":0},"discountPercent":{"type":"integer","format":"int32"},"deliveryStartDate":{"type":"string"},"deliveryEndDate":{"type":"string"},"penaltyPercent":{"type":"number","format":"double"}},"required":["counterParty","date","invoiceChannel","invoiceRows","language","paymentInfo"]},"CreatePurchaseInvoiceRequest":{"type":"object","properties":{"date":{"type":"string","format":"date"},"paymentInfo":{"$ref":"#/components/schemas/PaymentInfo"},"counterParty":{"$ref":"#/components/schemas/CounterParty"},"invoiceRows":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceRow"},"minItems":1},"businessPartnerId":{"type":"integer","format":"int32"},"extraInfo":{"$ref":"#/components/schemas/ExtraInfo"}},"required":["counterParty","date","invoiceRows","paymentInfo"]},"AddExpenseToInvoiceRequest":{"type":"object","properties":{"seller":{"type":"string"},"description":{"type":"string"},"date":{"type":"string","format":"date"},"rows":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceRow"},"minItems":1},"extraInfo":{"$ref":"#/components/schemas/ExtraInfo"}},"required":["rows"]},"FirebaseCreateData":{"type":"object","properties":{"userId":{"type":"integer","format":"int64"},"companyIds":{"type":"array","items":{"type":"integer","format":"int32"}},"firebaseTokenData":{"type":"array","items":{"$ref":"#/components/schemas/FirebaseTokenData"}},"companyCountry":{"type":"string"}},"required":["companyCountry","companyIds","firebaseTokenData","userId"]},"FirebaseActivity":{"type":"object","properties":{"uuid":{"type":"string"},"userId":{"type":"integer","format":"int64"},"companyId":{"type":"integer","format":"int32"},"firebaseTokenData":{"type":"array","items":{"$ref":"#/components/schemas/FirebaseTokenData"}},"companyCountry":{"type":"string"}}},"NotificationRequest":{"type":"object","properties":{"userId":{"type":"integer","format":"int64"},"companyName":{"type":"string"},"companyId":{"type":"integer","format":"int32"},"activityId":{"type":"string"},"invoiceData":{"type":"object","additionalProperties":{"type":"string"}},"userActionIds":{"type":"array","items":{"type":"object","additionalProperties":{"type":"integer","format":"int64"}}},"eventType":{"type":"string"}}},"StripeCreatePaymentIntentRequest":{"type":"object","properties":{"currencyString":{"type":"string"},"amount":{"type":"integer","format":"int64"},"brn":{"type":"string"},"invoiceId":{"type":"string"}}},"StripeCreatePaymentIntentResponse":{"type":"object","properties":{"clientSecret":{"type":"string"},"paymentIntentId":{"type":"string"}}},"StripeCreateConnectAccountRequest":{"type":"object","properties":{"businessType":{"type":"string","enum":["COMPANY","GOVERNMENT_ENTITY","INDIVIDUAL","NON_PROFIT"]},"companyStructure":{"type":"string","enum":["FREE_ZONE_ESTABLISHMENT","FREE_ZONE_LLC","GOVERNMENT_INSTRUMENTALITY","GOVERNMENTAL_UNIT","INCORPORATED_NON_PROFIT","INCORPORATED_PARTNERSHIP","LIMITED_LIABILITY_PARTNERSHIP","LLC","MULTI_MEMBER_LLC","PRIVATE_COMPANY","PRIVATE_CORPORATION","PRIVATE_PARTNERSHIP","PUBLIC_COMPANY","PUBLIC_CORPORATION","PUBLIC_PARTNERSHIP","REGISTERED_CHARITY","SINGLE_MEMBER_LLC","SOLE_ESTABLISHMENT","SOLE_PROPRIETORSHIP","TAX_EXEMPT_GOVERNMENT_INSTRUMENTALITY","UNINCORPORATED_ASSOCIATION","UNINCORPORATED_NON_PROFIT","UNINCORPORATED_PARTNERSHIP"]},"companyLegalName":{"type":"string"},"businessName":{"type":"string"},"companyAddress":{"$ref":"#/components/schemas/Address"},"companyPhoneNumber":{"type":"string"},"mcc":{"type":"string"},"url":{"type":"string"},"productDescription":{"type":"string"},"externalAccount":{"$ref":"#/components/schemas/Builder"},"taxId":{"type":"string"},"individualPerson":{"$ref":"#/components/schemas/StripePerson"},"companyPersons":{"type":"array","items":{"$ref":"#/components/schemas/StripePerson"}}}},"StripeCreateConnectAccountResponse":{"type":"object","properties":{"connectAccountId":{"type":"string"}}},"CreateCostReceipt":{"type":"object","properties":{"title":{"type":"string"},"description":{"type":"string"},"paymentMethod":{"type":"string"},"currency":{"type":"string"},"currencyRate":{"type":"number"},"receiptDate":{"type":"string","format":"date"},"rows":{"type":"array","items":{"$ref":"#/components/schemas/CostReceiptRow"}}}},"AttachmentMeta":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"name":{"type":"string"},"referenceType":{"type":"string","enum":["INVOICE","COST_RECEIPT"]},"referenceId":{"type":"integer","format":"int32"},"mimeType":{"type":"string"},"sendWithInvoice":{"type":"boolean"}}},"CostReceipt":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"title":{"type":"string"},"description":{"type":"string"},"paymentMethod":{"type":"string"},"currency":{"type":"string"},"currencyRate":{"type":"number"},"receiptDate":{"type":"string","format":"date"},"version":{"type":"string","format":"date-time"},"processed":{"type":"boolean"},"rows":{"type":"array","items":{"$ref":"#/components/schemas/CostReceiptRow"}},"attachments":{"type":"array","items":{"$ref":"#/components/schemas/AttachmentMeta"}}}},"CreateAttachmentRequest":{"type":"object","description":"Metadata for the attachment.\n\n- `referenceType`: Available values `INVOICE`, `COST_RECEIPT`\n- `referenceId`: ID of the reference\n- `sendWithInvoice`: boolean, default value = `false`. Marking attachment as `sendWithInvoice` = `true` is only available for file types: `gif`, `jpg`, `jpeg`, `pdf`, `txt`.\n","properties":{"referenceType":{"type":"string","enum":["INVOICE","COST_RECEIPT"],"minLength":1},"referenceId":{"type":"integer","format":"int32"},"sendWithInvoice":{"type":"boolean"}},"required":["referenceId","referenceType"]},"ReceiptCategorizationRequest":{"type":"object","properties":{"receiptOCR":{"type":"string"}}},"ProductGroup":{"type":"object","properties":{"vatIncludedPrice":{"type":"number","format":"double"},"taxRate":{"type":"number","format":"double"},"productCode":{"type":"string"}}},"ProductGroupPrediction":{"type":"object","properties":{"productGroups":{"type":"array","items":{"$ref":"#/components/schemas/ProductGroup"}}}},"ReceiptCategorizationResponse":{"type":"object","properties":{"productGroupPrediction":{"$ref":"#/components/schemas/ProductGroupPrediction"}}},"ColorPalette":{"type":"object","properties":{"primary_colors":{"type":"array","items":{"type":"string"}},"secondary_colors":{"type":"array","items":{"type":"string"}}}},"Message":{"type":"object","properties":{"id":{"type":"string"},"role":{"type":"string"},"content":{"type":"string"}}},"ProcountorAskRequest":{"type":"object","properties":{"session_id":{"type":"string"},"messages":{"type":"array","items":{"$ref":"#/components/schemas/Message"}},"color_palette":{"$ref":"#/components/schemas/ColorPalette"},"language":{"type":"string"}}},"ProcountorAskResponse":{"type":"object","properties":{"message":{"$ref":"#/components/schemas/Message"},"visualization":{"$ref":"#/components/schemas/Visualization"}}},"Visualization":{"type":"object","properties":{"type":{"type":"string"},"data":{},"transformation_explanation":{"type":"string"},"data_citation":{"type":"string"}}},"ClientInfo":{"type":"object","properties":{"client_type":{"type":"string","pattern":"mobile"},"color_palette":{"$ref":"#/components/schemas/ColorPalette"},"language":{"type":"string","minLength":1}},"required":["color_palette","language"]},"ProcountorAskRequestV2":{"type":"object","properties":{"session_id":{"type":"string","minLength":1},"messages":{"type":"array","items":{"$ref":"#/components/schemas/Message"},"minItems":1},"enable_markdown":{"type":"boolean"},"client_info":{"$ref":"#/components/schemas/ClientInfo"}},"required":["client_info","messages","session_id"]},"Health":{"type":"object","properties":{"status":{"type":"string"}}},"Management":{"type":"object","properties":{"notifications":{"type":"string","enum":["ALL_RIGHTS","VIEWING_RIGHTS","NO_ACCESS","NOT_ENABLED"]}}},"PurchasesRights":{"type":"object","properties":{"purchaseInvoices":{"type":"string","enum":["ALL_RIGHTS","VIEWING_RIGHTS","NO_ACCESS","NOT_ENABLED"]},"purchaseInvoiceSearch":{"type":"string","enum":["ALL_RIGHTS","VIEWING_RIGHTS","NO_ACCESS","NOT_ENABLED"]}}},"SalesRights":{"type":"object","properties":{"salesOrGroupInvoices":{"type":"string","enum":["ALL_RIGHTS","VIEWING_RIGHTS","NO_ACCESS","NOT_ENABLED"]},"salesInvoiceSearch":{"type":"string","enum":["ALL_RIGHTS","VIEWING_RIGHTS","NO_ACCESS","NOT_ENABLED"]}}},"TravelAndExpenseRights":{"type":"object","properties":{"travelAndExpenseInvoices":{"type":"string","enum":["ALL_RIGHTS","VIEWING_RIGHTS","NO_ACCESS","NOT_ENABLED"]},"travelAndExpenseInvoiceSearch":{"type":"string","enum":["ALL_RIGHTS","VIEWING_RIGHTS","NO_ACCESS","NOT_ENABLED"]}}},"UserRights":{"type":"object","properties":{"purchases":{"$ref":"#/components/schemas/PurchasesRights"},"sales":{"$ref":"#/components/schemas/SalesRights"},"travelAndExpenses":{"$ref":"#/components/schemas/TravelAndExpenseRights"},"management":{"$ref":"#/components/schemas/Management"}}},"UserRightsResponse":{"type":"object","properties":{"role":{"type":"string"},"rights":{"$ref":"#/components/schemas/UserRights"}}},"MealDeductionsProduct":{"type":"object","properties":{"breakfast":{"$ref":"#/components/schemas/Product"},"breakfastHalf":{"$ref":"#/components/schemas/Product"},"breakfast3m":{"$ref":"#/components/schemas/Product"},"lunchOrDinner":{"$ref":"#/components/schemas/Product"},"lunchOrDinnerHalf":{"$ref":"#/components/schemas/Product"},"lunchOrDinner3m":{"$ref":"#/components/schemas/Product"},"lunchAndDinner":{"$ref":"#/components/schemas/Product"},"lunchAndDinnerHalf":{"$ref":"#/components/schemas/Product"},"lunchAndDinner3m":{"$ref":"#/components/schemas/Product"},"deductionAll":{"$ref":"#/components/schemas/Product"},"deductionAllHalf":{"$ref":"#/components/schemas/Product"},"deductionAll3m":{"$ref":"#/components/schemas/Product"}}},"Product":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"type":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"},"code":{"type":"string"},"unit":{"type":"string"},"discount":{"type":"number"},"price":{"type":"number"},"vat":{"type":"number"},"active":{"type":"boolean"},"defaultAccount":{"type":"string"},"currency":{"type":"string"},"productGroupId":{"type":"integer","format":"int32"},"startDate":{"type":"string","format":"date"},"endDate":{"type":"string","format":"date"},"vatStatus":{"type":"integer","format":"int32"},"recent":{"type":["boolean","null"],"description":"Whether the given product is one of the recent (previously used) products.\nRecent products will be ordered before other ones.\nPresent only for Expense invoice / \"Other expense\" Travel products.\n"}}},"TravelProductsResponse":{"type":"object","properties":{"allowanceFull":{"$ref":"#/components/schemas/Product"},"allowanceHalf":{"$ref":"#/components/schemas/Product"},"allowance3m":{"$ref":"#/components/schemas/Product"},"abroadAllowances":{"type":"array","items":{"$ref":"#/components/schemas/Product"}},"mealDeductions":{"$ref":"#/components/schemas/MealDeductionsProduct"},"mealMoney":{"$ref":"#/components/schemas/Product"},"nightTravel":{"$ref":"#/components/schemas/Product"},"vehicles":{"type":"array","items":{"$ref":"#/components/schemas/Product"}},"extras":{"type":"array","items":{"$ref":"#/components/schemas/Product"}},"otherExpenses":{"type":"array","items":{"$ref":"#/components/schemas/Product"}}}},"ProcountorPageRequest":{"type":"object","properties":{"previousId":{"type":"integer","format":"int32"},"page":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"}}},"ApprovalInformation":{"type":"object","properties":{"acceptors":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceChecker"}},"verifiers":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceChecker"}}}},"Invoice":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"type":{"type":"string","enum":["BILL_OF_CHARGES","TRAVEL_INVOICE","PURCHASE_INVOICE","SALES_INVOICE","PERIODIC_TAX_RETURN","SALES_ORDER","PURCHASE_ORDER"]},"date":{"type":"string","format":"date"},"status":{"type":"string","enum":["EMPTY","UNFINISHED","NOT_SENT","SENT","RECEIVED","PAID","PAYMENT_DENIED","VERIFIED","APPROVED","INVALIDATED","PAYMENT_QUEUED","PARTLY_PAID","PAYMENT_SENT_TO_BANK","MARKED_PAID","STARTED","INVOICED","OVERRIDDEN","DELETED","UNSAVED","PAYMENT_TRANSACTION_REMOVED"]},"partnerId":{"type":"integer","format":"int32"},"counterParty":{"$ref":"#/components/schemas/CounterParty"},"paymentInfo":{"$ref":"#/components/schemas/PaymentInfo"},"extraInfo":{"$ref":"#/components/schemas/ExtraInfo"},"travelInformationItems":{"type":"array","items":{"$ref":"#/components/schemas/TravelInformation"}},"invoiceRows":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceRow"}},"invoiceRowTypes":{"$ref":"#/components/schemas/InvoiceRowTypes","description":"Contains invoice row ids grouped by product kind. Only for travel invoices."},"invoiceChannel":{"type":"string","enum":["EMAIL","MAIL","ELECTRONIC_INVOICE","EDIFACT","PAPER_INVOICE","NO_SENDING"]},"discountPercent":{"type":"number"},"approvalInformation":{"$ref":"#/components/schemas/ApprovalInformation"},"additionalInformation":{"type":"string"},"otherFields":{"type":"object","additionalProperties":{}},"invoiceNumber":{"type":"integer","format":"int32"},"invoiceSumInfo":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceSumInfo"}},"stillToBePaid":{"type":"number"},"totalPaidAmount":{"type":"number"},"originalInvoiceNumber":{"type":"string"}}},"InvoiceChecker":{"type":"object","properties":{"userId":{"type":"integer","format":"int32"},"firstName":{"type":"string"},"lastName":{"type":"string"},"eventPerformed":{"type":"string","format":"date"}}},"InvoiceRowTypes":{"type":"object","properties":{"allowanceFull":{"type":"array","items":{"type":"integer","format":"int32"}},"allowanceHalf":{"type":"array","items":{"type":"integer","format":"int32"}},"allowance3m":{"type":"array","items":{"type":"integer","format":"int32"}},"abroadAllowances":{"type":"array","items":{"type":"integer","format":"int32"}},"mealDeductions":{"$ref":"#/components/schemas/MealDeductionsListInteger"},"mealMoney":{"type":"array","items":{"type":"integer","format":"int32"}},"nightTravel":{"type":"array","items":{"type":"integer","format":"int32"}},"vehicles":{"type":"array","items":{"type":"integer","format":"int32"}},"extras":{"type":"array","items":{"type":"integer","format":"int32"}},"otherProducts":{"type":"array","items":{"type":"integer","format":"int32"}}}},"MealDeductionsListInteger":{"type":"object","properties":{"breakfast":{"type":"array","items":{"type":"integer","format":"int32"}},"breakfastHalf":{"type":"array","items":{"type":"integer","format":"int32"}},"breakfast3m":{"type":"array","items":{"type":"integer","format":"int32"}},"lunchOrDinner":{"type":"array","items":{"type":"integer","format":"int32"}},"lunchOrDinnerHalf":{"type":"array","items":{"type":"integer","format":"int32"}},"lunchOrDinner3m":{"type":"array","items":{"type":"integer","format":"int32"}},"lunchAndDinner":{"type":"array","items":{"type":"integer","format":"int32"}},"lunchAndDinnerHalf":{"type":"array","items":{"type":"integer","format":"int32"}},"lunchAndDinner3m":{"type":"array","items":{"type":"integer","format":"int32"}},"deductionAll":{"type":"array","items":{"type":"integer","format":"int32"}},"deductionAllHalf":{"type":"array","items":{"type":"integer","format":"int32"}},"deductionAll3m":{"type":"array","items":{"type":"integer","format":"int32"}}}},"Meta":{"type":"object","properties":{"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"resultCount":{"type":"integer","format":"int32"}}},"ProcountorSearchResultInvoice":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Invoice"}},"meta":{"$ref":"#/components/schemas/Meta"}}},"InvoiceBasicInfo":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"partnerId":{"type":"integer","format":"int32"},"type":{"type":"string","enum":["BILL_OF_CHARGES","TRAVEL_INVOICE","PURCHASE_INVOICE","SALES_INVOICE","PERIODIC_TAX_RETURN","SALES_ORDER","PURCHASE_ORDER"]},"status":{"type":"string","enum":["EMPTY","UNFINISHED","NOT_SENT","SENT","RECEIVED","PAID","PAYMENT_DENIED","VERIFIED","APPROVED","INVALIDATED","PAYMENT_QUEUED","PARTLY_PAID","PAYMENT_SENT_TO_BANK","MARKED_PAID","STARTED","INVOICED","OVERRIDDEN","DELETED","UNSAVED","PAYMENT_TRANSACTION_REMOVED"]},"invoiceNumber":{"type":"integer","format":"int32"},"invoiceChannel":{"type":"string","enum":["EMAIL","MAIL","ELECTRONIC_INVOICE","EDIFACT","PAPER_INVOICE","NO_SENDING"]},"dueDate":{"type":"string","format":"date"},"date":{"type":"string","format":"date"},"created":{"type":"string","format":"date-time"},"version":{"type":"string","format":"date-time"},"invoiceSumInfo":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceSumInfo"}},"counterParty":{"$ref":"#/components/schemas/CounterParty"},"additionalInformation":{"type":"string"},"creatorId":{"type":"integer","format":"int32"},"stillToBePaid":{"type":"number"},"totalPaidAmount":{"type":"number"}}},"NemoMeta":{"type":"object","properties":{"previousId":{"type":"integer","format":"int32"},"resultsCount":{"type":"integer","format":"int32"},"monthsCount":{"type":"integer","format":"int64"}}},"NemoSearchResultInvoiceBasicInfo":{"type":"object","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/InvoiceBasicInfo"}},"nemoMeta":{"$ref":"#/components/schemas/NemoMeta"}}},"ActivityMeta":{"type":"object","properties":{"activityId":{"type":"integer","format":"int32"},"companyId":{"type":"integer","format":"int32"},"eventType":{"type":"string","enum":["VERIFIABLE_INVOICE","APPROVABLE_INVOICE","INVOICE_APPROVED","INVOICE_PAID","SALARY_SLIP_SENT","MOBILE_SALARY_SLIP_SENT","COMMENT_USER_TAG","INSIGHT_TYPE_YOY"]}}},"InvoiceActivity":{"type":"object","properties":{"activityMeta":{"$ref":"#/components/schemas/ActivityMeta"},"invoice":{"$ref":"#/components/schemas/Invoice"}}},"StripeGetLocationIdResponse":{"type":"object","properties":{"locationId":{"type":"string"},"companyId":{"type":"string"}}},"DueReason":{"type":"object","properties":{"reason":{"type":"string","enum":["INDIVIDUAL_ADDRESS_CITY","INDIVIDUAL_ADDRESS_LINE1","INDIVIDUAL_ADDRESS_POSTAL_CODE","INDIVIDUAL_ADDRESS_STATE","INDIVIDUAL_DOB_DAY","INDIVIDUAL_DOB_MONTH","INDIVIDUAL_DOB_YEAR","INDIVIDUAL_EMAIL","INDIVIDUAL_FIRST_NAME","INDIVIDUAL_ID_NUMBER","INDIVIDUAL_LAST_NAME","INDIVIDUAL_PHONE","INDIVIDUAL_SSN_LAST_4","INDIVIDUAL_VERIFICATION_DOCUMENT","INDIVIDUAL_VERIFICATION_ADDITIONAL_DOCUMENT","COMPANY_ADDRESS_CITY","COMPANY_ADDRESS_LINE1","COMPANY_ADDRESS_POSTAL_CODE","COMPANY_ADDRESS_STATE","COMPANY_NAME","COMPANY_PHONE","COMPANY_TAX_ID","COMPANY_VERIFICATION_DOCUMENT","PERSON_ADDRESS_CITY","PERSON_ADDRESS_LINE1","PERSON_ADDRESS_POSTAL_CODE","PERSON_ADDRESS_STATE","PERSON_DOB_DAY","PERSON_DOB_MONTH","PERSON_DOB_YEAR","PERSON_EMAIL","PERSON_FIRST_NAME","PERSON_ID_NUMBER","PERSON_LAST_NAME","PERSON_RELATIONSHIP_DIRECTOR","PERSON_RELATIONSHIP_EXECUTIVE","PERSON_RELATIONSHIP_OWNER","PERSON_RELATIONSHIP_PERCENT_OWNERSHIP","PERSON_RELATIONSHIP_REPRESENTATIVE","PERSON_RELATIONSHIP_TITLE","PERSON_SSN_LAST_4","PERSON_VERIFICATION_DOCUMENT","PERSON_VERIFICATION_ADDITIONAL_DOCUMENT","PERSON_PROOF_OF_LIVENESS","EXTERNAL_ACCOUNT","TOS_ACCEPTANCE_DATE","TOS_ACCEPTANCE_IP","BUSINESS_PROFILE_MCC","BUSINESS_PROFILE_URL","BUSINESS_PROFILE_PRODUCT_DESCRIPTION","BUSINESS_PROFILE_SUPPORT_EMAIL","BUSINESS_PROFILE_SUPPORT_PHONE","BUSINESS_PROFILE_SUPPORT_URL","RELATIONSHIP_REPRESENTATIVE","RISK_IDENTITY_VERIFICATION","RISK_RESTRICTED_INDUSTRY_DILIGENCE","RISK_INTELLECTUAL_PROPERTY","RISK_REJECTION_APPEAL","RISK_OTHER_SUPPORTABILITY","RISK_CREDIT_REVIEW","RISK_RESERVE_APPEAL","RISK_URL_INQUIRY","RISK_ADDRESS_VERIFICATION","RISK_DOMAIN_VERIFICATION","RISK_BANK_ACCOUNT_VERIFICATION","RISK_CUSTOMER_SERVICE_CONTACT","RISK_FULFILLMENT_POLICY","RISK_PRODUCT_DESCRIPTION","RISK_STATEMENT_DESCRIPTOR","RISK_CAPABILITY_DISABLE_APPEAL","RISK_REJECTION_APPEAL_GENERAL","RISK_PLATFORM_CONCERN","RISK_OTHER_COMPLIANCE","RISK_OTHER_BUSINESS","UNKNOWN"]},"dueType":{"type":"string","enum":["CURRENT","EVENTUALLY","PAST","PENDING"]},"concerningName":{"type":"string"},"concerningID":{"type":"string"}}},"Errors":{"type":"object","properties":{"reason":{"type":"string"},"requirement":{"type":"string"}}},"StripeGetConnectAccountRequirementsResponse":{"type":"object","properties":{"dueReasons":{"type":"array","items":{"$ref":"#/components/schemas/DueReason"}},"currentDeadline":{"type":"number"},"disabledReason":{"type":"string","enum":["ACTION_REQUIRED_REQUESTED_CAPABILITIES","LISTED","OTHER","PLATFORM_PAUSED","REJECTED_FRAUD","REJECTED_INCOMPLETE_VERIFICATION","REJECTED_LISTED","REJECTED_OTHER","REJECTED_PLATFORM_FRAUD","REJECTED_PLATFORM_OTHER","REJECTED_PLATFORM_TERMS_OF_SERVICE","REJECTED_TERMS_OF_SERVICE","REQUIREMENTS_PAST_DUE","REQUIREMENTS_PENDING_VERIFICATION","UNDER_REVIEW"]},"errors":{"type":"array","items":{"$ref":"#/components/schemas/Errors"}}}},"Account":{"type":"object","properties":{"businessProfile":{"$ref":"#/components/schemas/BusinessProfile"},"businessType":{"type":"string"},"capabilities":{"$ref":"#/components/schemas/Capabilities"},"chargesEnabled":{"type":"boolean"},"company":{"$ref":"#/components/schemas/Company"},"controller":{"$ref":"#/components/schemas/Controller"},"country":{"type":"string"},"created":{"type":"integer","format":"int64"},"defaultCurrency":{"type":"string"},"deleted":{"type":"boolean"},"detailsSubmitted":{"type":"boolean"},"email":{"type":"string"},"externalAccounts":{"$ref":"#/components/schemas/ExternalAccountCollection"},"futureRequirements":{"$ref":"#/components/schemas/FutureRequirements"},"groups":{"$ref":"#/components/schemas/Groups"},"id":{"type":"string"},"individual":{"$ref":"#/components/schemas/Person"},"metadata":{"type":"object","additionalProperties":{"type":"string"}},"object":{"type":"string"},"payoutsEnabled":{"type":"boolean"},"requirements":{"$ref":"#/components/schemas/Requirements"},"settings":{"$ref":"#/components/schemas/Settings"},"tosAcceptance":{"$ref":"#/components/schemas/TosAcceptance"},"type":{"type":"string"},"responseGetter":{"$ref":"#/components/schemas/StripeResponseGetter","writeOnly":true},"lastResponse":{"$ref":"#/components/schemas/StripeResponse"},"rawJsonObject":{"$ref":"#/components/schemas/JsonObject"}}},"AdditionalTosAcceptances":{"type":"object","properties":{"account":{"$ref":"#/components/schemas/Account"},"rawJsonObject":{"$ref":"#/components/schemas/JsonObject"},"lastResponse":{"$ref":"#/components/schemas/StripeResponse"}}},"AddressKana":{"type":"object","properties":{"city":{"type":"string"},"country":{"type":"string"},"line1":{"type":"string"},"line2":{"type":"string"},"postalCode":{"type":"string"},"state":{"type":"string"},"town":{"type":"string"},"rawJsonObject":{"$ref":"#/components/schemas/JsonObject"},"lastResponse":{"$ref":"#/components/schemas/StripeResponse"}}},"AddressKanji":{"type":"object","properties":{"city":{"type":"string"},"country":{"type":"string"},"line1":{"type":"string"},"line2":{"type":"string"},"postalCode":{"type":"string"},"state":{"type":"string"},"town":{"type":"string"},"rawJsonObject":{"$ref":"#/components/schemas/JsonObject"},"lastResponse":{"$ref":"#/components/schemas/StripeResponse"}}},"Alternative":{"type":"object","properties":{"alternativeFieldsDue":{"type":"array","items":{"type":"string"}},"originalFieldsDue":{"type":"array","items":{"type":"string"}},"rawJsonObject":{"$ref":"#/components/schemas/JsonObject"},"lastResponse":{"$ref":"#/components/schemas/StripeResponse"}}},"AnnualRevenue":{"type":"object","properties":{"amount":{"type":"integer","format":"int64"},"currency":{"type":"string"},"fiscalYearEnd":{"type":"string"},"rawJsonObject":{"$ref":"#/components/schemas/JsonObject"},"lastResponse":{"$ref":"#/components/schemas/StripeResponse"}}},"Authenticator":{},"BusinessProfile":{"type":"object","properties":{"annualRevenue":{"$ref":"#/components/schemas/AnnualRevenue"},"estimatedWorkerCount":{"type":"integer","format":"int64"},"mcc":{"type":"string"},"minorityOwnedBusinessDesignation":{"type":"array","items":{"type":"string"}},"monthlyEstimatedRevenue":{"$ref":"#/components/schemas/MonthlyEstimatedRevenue"},"name":{"type":"string"},"productDescription":{"type":"string"},"supportAddress":{"$ref":"#/components/schemas/Address"},"supportEmail":{"type":"string"},"supportPhone":{"type":"string"},"supportUrl":{"type":"string"},"url":{"type":"string"},"rawJsonObject":{"$ref":"#/components/schemas/JsonObject"},"lastResponse":{"$ref":"#/components/schemas/StripeResponse"}}},"Capabilities":{"type":"object","properties":{"acssDebitPayments":{"type":"string"},"affirmPayments":{"type":"string"},"afterpayClearpayPayments":{"type":"string"},"almaPayments":{"type":"string"},"amazonPayPayments":{"type":"string"},"auBecsDebitPayments":{"type":"string"},"bacsDebitPayments":{"type":"string"},"bancontactPayments":{"type":"string"},"bankTransferPayments":{"type":"string"},"billiePayments":{"type":"string"},"blikPayments":{"type":"string"},"boletoPayments":{"type":"string"},"cardIssuing":{"type":"string"},"cardPayments":{"type":"string"},"cartesBancairesPayments":{"type":"string"},"cashappPayments":{"type":"string"},"cryptoPayments":{"type":"string"},"epsPayments":{"type":"string"},"fpxPayments":{"type":"string"},"gbBankTransferPayments":{"type":"string"},"giropayPayments":{"type":"string"},"grabpayPayme
[...]
